Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.tbox.impl
Class TermDefinition

    java.lang.Object
      org.mindswap.pellet.tbox.impl.TermDefinition

    public class TermDefinition

extends java.lang.Object

Author:
  Evren Sirin

Field Summary
`java.util.Set<aterm.ATermAppl>` | `dependencies`

Constructor Summary
`TermDefinition()`
`TermDefinition(TermDefinition td)`

Method Summary
`boolean` | `addDef(aterm.ATermAppl appl)`
`TermDefinition` | `clone()`
`java.util.List<aterm.ATermAppl>` | `getEqClassAxioms()`
`aterm.ATermAppl` | `getName()`
`java.util.List<aterm.ATermAppl>` | `getSames()` Deprecated. Use `getEqClassAxioms()` instead
`java.util.List<aterm.ATermAppl>` | `getSubClassAxioms()`
`boolean` | `isPrimitive()`
`boolean` | `isUnique()`
`boolean` | `removeDef(aterm.ATermAppl axiom)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### dependencies

    public java.util.Set<aterm.ATermAppl> dependencies

Constructor Detail

### TermDefinition

    public TermDefinition()

### TermDefinition

    public TermDefinition(TermDefinition td)

Method Detail

### getName

    public aterm.ATermAppl getName()

### addDef

    public boolean addDef(aterm.ATermAppl appl)

### removeDef

    public boolean removeDef(aterm.ATermAppl axiom)

### isPrimitive

    public boolean isPrimitive()

### isUnique

    public boolean isUnique()

### getSubClassAxioms

    public java.util.List<aterm.ATermAppl> getSubClassAxioms()

### getEqClassAxioms

    public java.util.List<aterm.ATermAppl> getEqClassAxioms()

### getSames

    public java.util.List<aterm.ATermAppl> getSames()

  Deprecated. Use `getEqClassAxioms()` instead

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### clone

    public TermDefinition clone()

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.